<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [EveryRequirement](./bitburner.everyrequirement.md)

## EveryRequirement interface

All sub-conditions must be satisfied.

**Signature:**

```typescript
interface EveryRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [conditions](./bitburner.everyrequirement.conditions.md) |  | [PlayerRequirement](./bitburner.playerrequirement.md)<!-- -->\[\] |  |
|  [type](./bitburner.everyrequirement.type.md) |  | "everyCondition" |  |

